
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
		<meta http-equiv="Pragma" content="no-cache" />
		<meta http-equiv="Expires" content="0"/>
		<title>Paste Source | Calculation</title>
		<link rel="icon" href="../img/logo.png">
		<link rel="stylesheet" href="../css/bootstrap-5.css">
		<style>
			::-webkit-scrollbar {
				width: 5px;
				scrollbar-width: thin;
			}

			::-webkit-scrollbar-track {
				background: #212F3D; 
			}
			
			::-webkit-scrollbar-thumb {
				background: #2C3E50; 
			}

			::-webkit-scrollbar-thumb:hover {
				background: #2C3E50; 
			}
			hr{
				border: none;
				border-bottom: 2px solid  #3498DB !important;
				background: transparent;

			}
		</style>
		<script src="../js/jquery.min.js"></script>
	</head>
	<body>
		<div class="container-fluid mt-3 mb-3">
			<h3 class="text-center m-0 p-0">Paste Source</h3>
			<p class="text-center m-0 p-0 pt-4 pb-4"><b>!Instruction</b> <br> Select query tr_salesmenu, then copy all rows by right click, then choose <i>`Copy Row (unquoted)`</i>, next paste tr_salesmenu's data in the textarea.</p>
			<div class="form-group">
				<textarea class="form-control" placeholder="Paste here.." id="pasteText" style="height: 500px;"></textarea>
			</div>
			<button type="button" class="btn btn-primary throw-calc mt-3">
				<div class="d-flex flex-row justify-content-center gap-2">
					<span>Throw Calc.</span>
					<img class="align-self-center" src="../img/start-button.png" width="20px">
				</div>
			</button>
		</div>
		<script>
			
			var throwCalc = $('.throw-calc');
			var textarea = $('#pasteText');

			var qtyIndex = 7;
			var inclusivePriceIndex = 8;
			var discountPercentageIndex = 9;
			var discountCashIndex = 11;
			var otherTaxIndex = 16;
			var vatIndex = 12;
			var otherVatIndex = 14;

			var idIndex = 1;
			var salesNumIndex = 2;
			var menuRefIDIndex = 3;
			var menuGroupIDIndex = 4;
			var statusIndex = 19;
			
			throwCalc.off('click').on('click', function(){
				var result = [];
				var headPackageArray = [];
				var arrayValue = textarea.val().split('\n');
				arrayValue.forEach((x, i) => {
					var sectionArray = x.split(",");
					if(sectionArray[inclusivePriceIndex] != undefined){
						if(sectionArray[statusIndex] == 19){
							return;
						}
						if(sectionArray[menuRefIDIndex] != 0 && sectionArray[menuGroupIDIndex] == 0){
							var tmpHeadPackage = {
								menuRefID : sectionArray[menuRefIDIndex],
								qty : sectionArray[qtyIndex]
							}
							headPackageArray.push(tmpHeadPackage);
						}

						var qtyFinal = sectionArray[qtyIndex];
						if(sectionArray[menuRefIDIndex] !== 0 && sectionArray[menuGroupIDIndex] !== 0){
							headPackageArray.forEach((x, l) => {
								if(x.menuRefID == sectionArray[menuRefIDIndex]){
									qtyFinal = x.qty;
									return;
								}
							})
						}

						var menuDiscountPercentageFinal = sectionArray[discountPercentageIndex];
						var menuDiscountCashFinal = sectionArray[discountCashIndex];
						if(sectionArray[discountPercentageIndex] != 0 && sectionArray[discountCashIndex] == 0){
							menuDiscountCashFinal = 0;
							menuDiscountPercentageFinal = 0;
						}

						if(sectionArray[discountPercentageIndex] != 0 && sectionArray[discountCashIndex] != 0){
							menuDiscountCashFinal = 0;
						}

						var tmpArray = {
							qty : qtyFinal,
							inclusivePrice : sectionArray[inclusivePriceIndex],
							menuDiscountPercentage : menuDiscountPercentageFinal,
							menuDiscountCash : menuDiscountCashFinal,
							otherTaxPercentage : sectionArray[otherTaxIndex],
							taxPercentage : sectionArray[vatIndex] != 0? sectionArray[vatIndex] : sectionArray[otherVatIndex],
							proRateBillDisc : true,
							//additionalInformation ->
							id : sectionArray[idIndex],
							salesNum : sectionArray[salesNumIndex],
							menuRefID : sectionArray[menuRefIDIndex],
							menuGroupID : sectionArray[menuGroupIDIndex],
						}
						result.push(tmpArray);
					}
				});

				window.open('../index.html?jsonInput=' + JSON.stringify(result));
			})


		</script>
	</body>
</html>
